//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.12 at 09:36:31 PM CET 
//


package pl.adriankozlowski.jpk.file;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Zestaw danych identyfikacyjnych dla osoby niefizycznej zagranicznej
 * <p>
 * <p>Java class for TIdentyfikatorOsobyNiefizycznejZagranicznej complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="TIdentyfikatorOsobyNiefizycznejZagranicznej">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PelnaNazwa">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="240"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="SkroconaNazwa" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="70"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="NIP" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrNIP" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TIdentyfikatorOsobyNiefizycznejZagranicznej", propOrder = {
        "pelnaNazwa",
        "skroconaNazwa",
        "nip"
})
public class TIdentyfikatorOsobyNiefizycznejZagranicznej {

    @XmlElement(name = "PelnaNazwa", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String pelnaNazwa;
    @XmlElement(name = "SkroconaNazwa")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String skroconaNazwa;
    @XmlElement(name = "NIP")
    protected String nip;

    /**
     * Gets the value of the pelnaNazwa property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getPelnaNazwa() {
        return pelnaNazwa;
    }

    /**
     * Sets the value of the pelnaNazwa property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setPelnaNazwa(String value) {
        this.pelnaNazwa = value;
    }

    /**
     * Gets the value of the skroconaNazwa property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getSkroconaNazwa() {
        return skroconaNazwa;
    }

    /**
     * Sets the value of the skroconaNazwa property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSkroconaNazwa(String value) {
        this.skroconaNazwa = value;
    }

    /**
     * Gets the value of the nip property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getNIP() {
        return nip;
    }

    /**
     * Sets the value of the nip property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setNIP(String value) {
        this.nip = value;
    }

}
